* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

:root {
    --blue: #0080ff50;
    --red: #ff0000;
    --green: #008000;
    --yellow: #ffff00;
    --black: #272020b9;
    --white: #ffffff;
    --background-light: linear-gradient(120deg, #5372a3 0%, #c2e9fb 100%);
    --background-dark: linear-gradient(120deg, #1a1a1a9f 0%, #000000 100%);
    --button-light: radial-gradient(circle, rgba(63,94,251,1) 0%, rgba(124,83,197,1) 36%, rgba(149,79,174,1) 51%, rgba(169,76,156,1) 63%, rgba(186,73,141,1) 73%, rgba(194,72,133,1) 78%, rgba(202,71,126,1) 83%, rgba(222,43,110,1) 86%, rgba(237,35,101,1) 90%, rgba(231,66,100,1) 100%);
    --button-dark: linear-gradient(120deg, #dac9c99f 0%, #000000 100%);
    
}

html, body {
    height: 100%;
    width: 100%;
}

body {
    display: flex;
    flex-direction: column;
    background-image: var(--background-light);
    align-items: center;
    justify-content: center;
    transition: background-image 0.3s;
    position: relative;
}

.container {
    width: 26vw;
    background-color: var(--blue);
    padding: 2.6vw;
    height: auto;

    border-radius: 10px;
    box-shadow: 0 0 10px 0 rgba(0,0,0,0.1);
    position: relative;
    transition: background-color 0.3s;
    border: 2px solid var(--black);
    box-shadow: 10px 10px 10px 10px rgba(0,0,0,0.75);
}

#display {
    padding: 10px;
    padding-bottom: 20px;
    font-size: 2vw;
    width: 100%;
    border: 1px solid var(--black);
    border-radius: 5px;
    margin-bottom: 2vw;
    text-align:right;
}

.keys {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
}

button {
    padding: 11px;
    outline: none;
    border: 1px solid var(--black);
    border-radius: 11px;
    background: var(--white);
    cursor: pointer;
    font-size: 1.5vw;
    transition: background 0.3s;
    border: 1px solid var(--black);
    /* border-color: #008000; */
    box-shadow: 1px 1px 1px 1px rgba(0,0,0,0.75);
}

button.operator {
    grid-column: span 1;
}

button.equal {
    grid-column: span 3;
}

button.clear {
    grid-column: span 2;
}

.delete {
    display: flex;
    justify-content: center;
    align-items: center;
}

.dark-mode {
    background-image: var(--background-dark);
    color: var(--white);
    transition: background-image 0.3s;
    
}

.dark-mode-button {
    background: var(--button-dark);
    color: var(--white);
    border: 1px solid var(--black);
  
    cursor: pointer;
    transition: background 0.3s;

}

#toggle-dark-mode {
    margin-top: 20px;
    padding: 10px 20px;
    border-radius: 5px;
    cursor: pointer;
    transition: background 0.3s;
}

@media screen and (max-width: 768px) {
    .container {
        width: 80vw;
    }
    #display {
        font-size: 5vw;
    }
    button {
        font-size: 4vw;
    }
}
